<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: GSKExampleDataSource Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="interface_g_s_k_example_data_source-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GSKExampleDataSource Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for GSKExampleDataSource:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_g_s_k_example_data_source.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:ab6139cfb95213b9f1fcf13616aacbaa4"><td class="memItemLeft" align="right" valign="top"><a id="ab6139cfb95213b9f1fcf13616aacbaa4"></a>
(instancetype)&#160;</td><td class="memItemRight" valign="bottom">- <b>init</b></td></tr>
<tr class="separator:ab6139cfb95213b9f1fcf13616aacbaa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ce2f3f022f05c92272d2b5229ad67eb"><td class="memItemLeft" align="right" valign="top"><a id="a7ce2f3f022f05c92272d2b5229ad67eb"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>registerForTableView:</b></td></tr>
<tr class="separator:a7ce2f3f022f05c92272d2b5229ad67eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f95b55d1df513b7d738025252db6e5"><td class="memItemLeft" align="right" valign="top"><a id="aa7f95b55d1df513b7d738025252db6e5"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>registerForCollectionView:</b></td></tr>
<tr class="separator:aa7f95b55d1df513b7d738025252db6e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fe4ecd57e4662ffdedf25e3b7779828"><td class="memItemLeft" align="right" valign="top"><a id="a1fe4ecd57e4662ffdedf25e3b7779828"></a>
(CGFloat)&#160;</td><td class="memItemRight" valign="bottom">- <b>heightForItemAtIndexPath:</b></td></tr>
<tr class="separator:a1fe4ecd57e4662ffdedf25e3b7779828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74cd16c175b9926e3c9c0188d923cc38"><td class="memItemLeft" align="right" valign="top"><a id="a74cd16c175b9926e3c9c0188d923cc38"></a>
(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <b>titleForSection:</b></td></tr>
<tr class="separator:a74cd16c175b9926e3c9c0188d923cc38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06e567de0c6bce1db185cb3ce9b1db4d"><td class="memItemLeft" align="right" valign="top"><a id="a06e567de0c6bce1db185cb3ce9b1db4d"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>setNumberOfRowsInEverySection:</b><code> [implementation]</code></td></tr>
<tr class="separator:a06e567de0c6bce1db185cb3ce9b1db4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dd6c6f733771f87f90606cba5d7dc45"><td class="memItemLeft" align="right" valign="top"><a id="a8dd6c6f733771f87f90606cba5d7dc45"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>updateRowHeights</b><code> [implementation]</code></td></tr>
<tr class="separator:a8dd6c6f733771f87f90606cba5d7dc45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a766eebed6aa05b2b17a6160d4c819882"><td class="memItemLeft" align="right" valign="top"><a id="a766eebed6aa05b2b17a6160d4c819882"></a>
(NSString *)&#160;</td><td class="memItemRight" valign="bottom">- <b>tableView:titleForHeaderInSection:</b><code> [implementation]</code></td></tr>
<tr class="separator:a766eebed6aa05b2b17a6160d4c819882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26c39ae983c951b0215fb7ac0bcb7a7e"><td class="memItemLeft" align="right" valign="top"><a id="a26c39ae983c951b0215fb7ac0bcb7a7e"></a>
(NSInteger)&#160;</td><td class="memItemRight" valign="bottom">- <b>numberOfSectionsInTableView:</b><code> [implementation]</code></td></tr>
<tr class="separator:a26c39ae983c951b0215fb7ac0bcb7a7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb9972989e84554d97fc107ebf3d6152"><td class="memItemLeft" align="right" valign="top"><a id="acb9972989e84554d97fc107ebf3d6152"></a>
(NSInteger)&#160;</td><td class="memItemRight" valign="bottom">- <b>tableView:numberOfRowsInSection:</b><code> [implementation]</code></td></tr>
<tr class="separator:acb9972989e84554d97fc107ebf3d6152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61e0b3706aa534043089a0b6296c82ff"><td class="memItemLeft" align="right" valign="top"><a id="a61e0b3706aa534043089a0b6296c82ff"></a>
(UITableViewCell *)&#160;</td><td class="memItemRight" valign="bottom">- <b>tableView:cellForRowAtIndexPath:</b><code> [implementation]</code></td></tr>
<tr class="separator:a61e0b3706aa534043089a0b6296c82ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2317c523a6c901d5c70c4f131970a70"><td class="memItemLeft" align="right" valign="top"><a id="af2317c523a6c901d5c70c4f131970a70"></a>
(NSInteger)&#160;</td><td class="memItemRight" valign="bottom">- <b>numberOfSectionsInCollectionView:</b><code> [implementation]</code></td></tr>
<tr class="separator:af2317c523a6c901d5c70c4f131970a70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4cb19387a7a957ada944a1d17aea468"><td class="memItemLeft" align="right" valign="top"><a id="ae4cb19387a7a957ada944a1d17aea468"></a>
(NSInteger)&#160;</td><td class="memItemRight" valign="bottom">- <b>collectionView:numberOfItemsInSection:</b><code> [implementation]</code></td></tr>
<tr class="separator:ae4cb19387a7a957ada944a1d17aea468"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82ce852ac4cd4e855f2c7ca6859639a9"><td class="memItemLeft" align="right" valign="top"><a id="a82ce852ac4cd4e855f2c7ca6859639a9"></a>
(UICollectionViewCell *)&#160;</td><td class="memItemRight" valign="bottom">- <b>collectionView:cellForItemAtIndexPath:</b><code> [implementation]</code></td></tr>
<tr class="separator:a82ce852ac4cd4e855f2c7ca6859639a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfb374d312194c1c27ca8b5b91a2daaf"><td class="memItemLeft" align="right" valign="top"><a id="abfb374d312194c1c27ca8b5b91a2daaf"></a>
(UICollectionReusableView *)&#160;</td><td class="memItemRight" valign="bottom">- <b>collectionView:viewForSupplementaryElementOfKind:atIndexPath:</b><code> [implementation]</code></td></tr>
<tr class="separator:abfb374d312194c1c27ca8b5b91a2daaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a14969496ba2e71c90d14098f31446373"><td class="memItemLeft" align="right" valign="top"><a id="a14969496ba2e71c90d14098f31446373"></a>
BOOL&#160;</td><td class="memItemRight" valign="bottom"><b>displaysSectionHeaders</b></td></tr>
<tr class="separator:a14969496ba2e71c90d14098f31446373"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6389e0239358a8e7add2f0a3a0948556"><td class="memItemLeft" align="right" valign="top"><a id="a6389e0239358a8e7add2f0a3a0948556"></a>
NSUInteger&#160;</td><td class="memItemRight" valign="bottom"><b>numberOfSections</b></td></tr>
<tr class="separator:a6389e0239358a8e7add2f0a3a0948556"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc6a390d4afdbd5bcf4b05c4454bcb4"><td class="memItemLeft" align="right" valign="top"><a id="a0cc6a390d4afdbd5bcf4b05c4454bcb4"></a>
NSUInteger&#160;</td><td class="memItemRight" valign="bottom"><b>numberOfRowsInEverySection</b></td></tr>
<tr class="separator:a0cc6a390d4afdbd5bcf4b05c4454bcb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a5f1d765ba973ff38e59d7b03791cd0"><td class="memItemLeft" align="right" valign="top"><a id="a3a5f1d765ba973ff38e59d7b03791cd0"></a>
NSArray&lt; UIColor * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>cellColors</b></td></tr>
<tr class="separator:a3a5f1d765ba973ff38e59d7b03791cd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bb2c305e04c5de2a9c12f77572f1d37"><td class="memItemLeft" align="right" valign="top"><a id="a0bb2c305e04c5de2a9c12f77572f1d37"></a>
UIScrollView *&#160;</td><td class="memItemRight" valign="bottom"><b>scrollView</b><code> [implementation]</code></td></tr>
<tr class="separator:a0bb2c305e04c5de2a9c12f77572f1d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52eb4b3fad0277dc1b88ea2ab5f6eacb"><td class="memItemLeft" align="right" valign="top"><a id="a52eb4b3fad0277dc1b88ea2ab5f6eacb"></a>
NSMutableArray&lt; NSNumber * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><b>rowHeights</b><code> [implementation]</code></td></tr>
<tr class="separator:a52eb4b3fad0277dc1b88ea2ab5f6eacb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_g_s_k_example_data_source_8h_source.html">GSKExampleDataSource.h</a></li>
<li>GSKExampleDataSource.m</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
